<template>
  <Page>
    <div
      :style="{
        padding: '12px',
        maxWidth: '640px',
        textAlign: 'center',
        margin: '24px auto 0 auto'
      }"
    >
      <ScorpionLogo
        width="72px"
        height="72px"
        :style="{ margin: '12px' }"
        variant="inverted"
      />

      <h1 :style="{ color: '#F65D6C' }">
        <!-- eslint-disable-line @intlify/vue-i18n/no-raw-text -->
        Scorpion UI
      </h1>

      <h2>{{ $t('views.Home.Index.subtitle') }}</h2>

      <i18n
        tag="p"
        path="views.Home.Index.text"
        :style="{ marginTop: '32px' }"
      >
        <template #br>
          <br>
        </template>
        <template #docLink>
          <a
            href="https://www.npmjs.com/package/@hperchec/scorpion-ui"
            target="_blank"
          >{{ $t('global.documentation') }}</a>
        </template>
      </i18n>

      <p :style="{ marginTop: '32px' }">
        <!-- eslint-disable @intlify/vue-i18n/no-raw-text -->
        <span :style="{ color: '#F65D6C', fontWeight: 'bold'}">v{{ libVersion }}</span>
        (<a
          href="https://gitlab.com/hperchec/boilerplates/scorpion/lib/scorpion-ui/-/blob/main/CHANGELOG.md"
          target="_blank"
        >changelog</a>)
        <!-- eslint-enable @intlify/vue-i18n/no-raw-text -->
      </p>
    </div>

    <!-- Locales -->
    <div :style="{ textAlign: 'center', marginTop: '18px' }">
      <div
        v-for="(localeObj, index) in Object.values(LANGS)"
        :key="index"
        :style="{ display: 'inline-block' }"
      >
        <a
          :style="{
            backgroundColor: $app.currentLocale() === localeObj.lang ? '#FEEEF0' : 'transparent',
            color: '#F65D6C',
            padding: '6px',
            borderRadius: '6px',
            margin: '0 6px',
            cursor: 'pointer'
          }"
          @click="$app.setLocale(localeObj.lang)"
        >
          <img
            v-if="localeObj.lang === 'fr'"
            width="20"
            src="@/assets/img/flag-fr.svg"
          >
          <img
            v-if="localeObj.lang === 'en'"
            width="20"
            src="@/assets/img/flag-uk.svg"
          >
          {{ localeObj.name }}
        </a>

        <span v-if="index < (Object.values(LANGS).length - 1)">|</span>
      </div>
    </div>
  </Page>
</template>

<script>
import { Core } from '@hperchec/scorpion-ui'

/**
 * Home: home page component
 */
export default {
  name: 'HomeRouteComponent',
  data () {
    return {
      libVersion: Core.version
    }
  }
}
</script>
